Contains (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.condition.Contains,Contains class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class Contains

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.condition.Contains

All Implemented Interfaces:
  Condition

public class Contains
extends java.lang.Object
implements Condition

Is one string part of another string?

Since:
  Ant 1.5

Constructor Summary
`Contains()`

Method Summary
`boolean` | `eval()` Is this condition true?
`void` | `setCasesensitive(boolean b)` Whether to search ignoring case or not.
`void` | `setString(java.lang.String string)` The string to search in.
`void` | `setSubstring(java.lang.String subString)` The string to search for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Contains

    public Contains()

Method Detail

### setString

    public void setString(java.lang.String string)

  The string to search in.

  Parameters:
    `string` - the string to search in
  Since:
    Ant 1.5

### setSubstring

    public void setSubstring(java.lang.String subString)

  The string to search for.

  Parameters:
    `subString` - the string to search for
  Since:
    Ant 1.5

### setCasesensitive

    public void setCasesensitive(boolean b)

  Whether to search ignoring case or not.

  Parameters:
    `b` - if true, ignore case
  Since:
    Ant 1.5

### eval

    public boolean eval()
                 throws BuildException

  Description copied from interface: `Condition`
  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the substring is within the string
  Throws:
    `BuildException` - if the attributes are not set correctly
  Since:
    Ant 1.5

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.